This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours

Bug 829020

Summary: Disable llvmpipe swrast for ARM
Product: [Fedora] Fedora Reporter: Daniel Drake <dsd>
Component: mesaAssignee: Adam Jackson <ajax>
Status: CLOSED RAWHIDE QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: unspecified Docs Contact:
Priority: unspecified    
Version: 17CC: ajax
Target Milestone: ---   
Target Release: ---   
Hardware: Unspecified   
OS: Unspecified   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2012-06-07 15:29:48 EDT Type: Bug
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Bug Depends On:    
Bug Blocks: 245418    

Description Daniel Drake 2012-06-05 15:22:29 EDT
Apps that use clutter (or OpenGL) currently crash on ARM with messages like:

LLVM ERROR: Not supported instr %R0<def> = LEApcrel <cp#1>, pred:14, pred:%nore

e.g. glxgears, totem


This is because mesa is built with llvmpipe for ARM, but llvm for ARM is broken at the moment.

ppc* already disables llvmpipe within mesa.spec for similar reasons. Can ARM be added to this exception case too?

That way the non-llvm swrast will be built, and apps that use clutter/OpenGL can run (albeit slowly!).
Comment 1 Adam Jackson 2012-06-07 15:29:48 EDT
Done in F17 and master branches.